Public Attributes | List of all members
_qspi_memorymapped_t Struct Reference
Peripheral Driver » HAL Driver » QSPI » Structures

QSPI memory map Structure definition. More...

`#include <gr55xx_hal_qspi.h>`

## Public Attributes
uint32_t | x_sioo_mode
uint32_t | x_instruction_en
uint32_t | x_instruction_size
uint32_t | x_instruction
uint32_t | x_address_size
uint32_t | x_inst_addr_transfer_format
uint32_t | x_mode_bits_en
uint32_t | x_mode_bits_length
uint32_t | x_mode_bits_data
uint32_t | x_dummy_cycles
uint32_t | x_data_frame_format
uint32_t | x_prefetch_en
uint32_t | x_continous_xfer_en
uint32_t | x_continous_xfer_toc
uint32_t | x_endian_mode

## Detailed Description

QSPI memory map Structure definition.

Definition at line 238 of file gr55xx_hal_qspi.h.

## Member Data Documentation

## ◆ x_address_size

uint32_t _qspi_memorymapped_t::x_address_size

Specifies instruction size in memorymapped(xip) mode. This parameter can be a value of address size for concurrent xip mode.

Definition at line 253 of file gr55xx_hal_qspi.h.

## ◆ x_continous_xfer_en

uint32_t _qspi_memorymapped_t::x_continous_xfer_en

Specifies whether to enable the continuous transfer feature in memorymapped(xip) mode. This parameter can be a value of Cont transfer for concurrent xip mode.

Definition at line 277 of file gr55xx_hal_qspi.h.

## ◆ x_continous_xfer_toc

uint32_t _qspi_memorymapped_t::x_continous_xfer_toc

Specifies timeout count for the continuous transfer feature in memorymapped(xip) mode. unit in terms of hclk, range [0, 255].

Definition at line 280 of file gr55xx_hal_qspi.h.

## ◆ x_data_frame_format

uint32_t _qspi_memorymapped_t::x_data_frame_format

Specifies enhanced spi's frame format in memorymapped(xip) mode. This parameter can be a value of frame format for concurrent xip mode.

Definition at line 271 of file gr55xx_hal_qspi.h.

## ◆ x_dummy_cycles

uint32_t _qspi_memorymapped_t::x_dummy_cycles

Specifies wait(dummy) cycles in memorymapped(xip) mode. value range [0 ~ 31].

Definition at line 268 of file gr55xx_hal_qspi.h.

## ◆ x_endian_mode

uint32_t _qspi_memorymapped_t::x_endian_mode

Specifies endian mode in memorymapped(xip) mode. This parameter can be a value of endian mode for qspi xip.

Definition at line 283 of file gr55xx_hal_qspi.h.

## ◆ x_inst_addr_transfer_format

uint32_t _qspi_memorymapped_t::x_inst_addr_transfer_format

Specifies xfer format of inst & addr in memorymapped(xip) mode. This parameter can be a value of transfer of inst & address for concurrent xip mode.

Definition at line 256 of file gr55xx_hal_qspi.h.

## ◆ x_instruction

uint32_t _qspi_memorymapped_t::x_instruction

Specifies instruction in memorymapped(xip) mode.

Definition at line 250 of file gr55xx_hal_qspi.h.

## ◆ x_instruction_en

uint32_t _qspi_memorymapped_t::x_instruction_en

Specifies whether to enable the instruction phase feature in memorymapped(xip) mode. This parameter can be a value of Instruction phase for concurrent xip mode.

Definition at line 244 of file gr55xx_hal_qspi.h.

## ◆ x_instruction_size

uint32_t _qspi_memorymapped_t::x_instruction_size

Specifies instruction size in memorymapped(xip) mode. This parameter can be a value of instruction size for concurrent xip mode.

Definition at line 247 of file gr55xx_hal_qspi.h.

## ◆ x_mode_bits_data

uint32_t _qspi_memorymapped_t::x_mode_bits_data

Specifies value of mode bits phase

Definition at line 265 of file gr55xx_hal_qspi.h.

## ◆ x_mode_bits_en

uint32_t _qspi_memorymapped_t::x_mode_bits_en

Specifies whether to enable mode bits phase in memorymapped(xip) mode. This parameter can be a value of Bits phase for concurrent xip mode.

Definition at line 259 of file gr55xx_hal_qspi.h.

## ◆ x_mode_bits_length

uint32_t _qspi_memorymapped_t::x_mode_bits_length

Specifies mode bits length. This parameter can be a value of mode bits length for xip mode.

Definition at line 262 of file gr55xx_hal_qspi.h.

## ◆ x_prefetch_en

uint32_t _qspi_memorymapped_t::x_prefetch_en

Specifies whether to enable the prefetch feature. This parameter can be a value of Prefetch for concurrent xip mode.

Definition at line 274 of file gr55xx_hal_qspi.h.

## ◆ x_sioo_mode

uint32_t _qspi_memorymapped_t::x_sioo_mode

Specifies instruction sent mode in memorymapped(xip) mode. This parameter can be a value of Instruction sent mode for concurrent xip mode.

Definition at line 241 of file gr55xx_hal_qspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_qspi.h